function battle_sai005b(npcID)
x1=flag.GetBattleValue(2)      --变身前/加血前 血量数值 
x2=battle.GetSelfHP(1)         --当前血量数值 

flag.SetBattleValue(1,0)       --乌龟形态计数重置 

t=flag.GetBattleValue(4)       --回合计数
t=t+1
flag.SetBattleValue(4,t)

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

if (x1-x2)>=1500 or t==4 then      --血量降低4000 或 四回合 

   npc.SetAnim(npcID,219)
   npc.AddAnimChain(npcID,219,2)
   battle.MagicToNpc(npcID,1435,1)

   
   global.WaitForBattleSEEnd(1897)
   
   battle.ChangeNpc(10130,10105)

   return
end


   flag.SetBattleValue(2,x2)
   battle.MagicToNpc(npcID,1429,1)   --对自己释放加血法术 （此法术需要单独设置）


end